be.fgov.ehealth.standards.kmehr.mycarenet.id.v1

## Enum IDPATIENTschemes

- java.lang.Object
- - java.lang.Enum<IDPATIENTschemes>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.id.v1.IDPATIENTschemes

- All Implemented Interfaces:
    Serializable, Comparable<IDPATIENTschemes>

      public enum IDPATIENTschemes
      extends Enum<IDPATIENTschemes>

  Java class for ID-PATIENTschemes.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="ID-PATIENTschemes">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="ID-PATIENT"/>
           <enumeration value="INSS"/>
           <enumeration value="EID-CARDNO"/>
           <enumeration value="SIS-CARDNO"/>
           <enumeration value="ISI-CARDNO"/>
           <enumeration value="LOCAL"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EID_CARDNO`
    `ID_PATIENT`
    `INSS`
    `ISI_CARDNO`
    `LOCAL`
    `SIS_CARDNO`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IDPATIENTschemes` | `fromValue(String v)`
    `String` | `value()`
    `static IDPATIENTschemes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IDPATIENTschemes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ID_PATIENT

          public static final IDPATIENTschemes ID_PATIENT

    - #### INSS

          public static final IDPATIENTschemes INSS

    - #### EID_CARDNO

          public static final IDPATIENTschemes EID_CARDNO

    - #### SIS_CARDNO

          public static final IDPATIENTschemes SIS_CARDNO

    - #### ISI_CARDNO

          public static final IDPATIENTschemes ISI_CARDNO

    - #### LOCAL

          public static final IDPATIENTschemes LOCAL

  - ### Method Detail

    - #### values

          public static IDPATIENTschemes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IDPATIENTschemes c : IDPATIENTschemes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IDPATIENTschemes valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static IDPATIENTschemes fromValue(String v)

Connector Packaging PERSPRACTICALNURSE 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.